Crazy Eddies GUI System: CEGUI::TabButton Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | Protected Member Functions | Protected Attributes
CEGUI::TabButton Class Reference

Base class for TabButtons. A TabButton based class is used internally as the button that appears at the top of a TabControl widget to select the active tab pane. More...

Inheritance diagram for CEGUI::TabButton:
[legend]
Collaboration diagram for CEGUI::TabButton:
[legend]

List of all members.

## Public Member Functions
| TabButton (const String &type, const String &name)
| Constructor for base TabButton class.
virtual | ~TabButton (void)
| Destructor for TabButton class.
virtual void | setSelected (bool selected)
| Set whether this tab button is selected or not.
bool | isSelected (void) const
| Return whether this tab button is selected or not.
void | setTargetWindow (Window *wnd)
| Set the target window which is the content pane which this button is covering.
Window * | getTargetWindow (void)
| Get the target window which is the content pane which this button is covering.
## Static Public Attributes
static const String | EventNamespace
| Namespace for global events.
static const String | WidgetTypeName
| Window factory name.
static const String | EventClicked
static const String | EventDragged
static const String | EventScrolled
## Protected Member Functions
virtual void | onClicked (WindowEventArgs &e)
| handler invoked internally when the button is clicked.
virtual void | onMouseButtonUp (MouseEventArgs &e)
| Handler called when a mouse button has been released within this window's area.
virtual void | onMouseButtonDown (MouseEventArgs &e)
| Handler called when a mouse button has been depressed within this window's area.
virtual void | onMouseWheel (MouseEventArgs &e)
| Handler called when the mouse wheel (z-axis) position changes within this window's area.
virtual void | onMouseMove (MouseEventArgs &e)
| Handler called when the mouse cursor has been moved within this window's area.
virtual bool | testClassName_impl (const String &class_name) const
| Return whether this window was inherited from the given class name at some point in the inheritance hierarchy.
## Protected Attributes
bool | d_selected
| Is this button selected?
bool | d_dragging
| In drag mode or not.
Window * | d_targetWindow
| The target window which this button is representing.

## Detailed Description

Base class for TabButtons. A TabButton based class is used internally as the button that appears at the top of a TabControl widget to select the active tab pane.

## Member Function Documentation

virtual void CEGUI::TabButton::onMouseButtonDown | ( | MouseEventArgs & | e | ) | `[protected, virtual]`

Handler called when a mouse button has been depressed within this window's area.

Parameters:

  e | MouseEventArgs object. All fields are valid.

Reimplemented from CEGUI::ButtonBase.

virtual void CEGUI::TabButton::onMouseButtonUp | ( | MouseEventArgs & | e | ) | `[protected, virtual]`

Handler called when a mouse button has been released within this window's area.

Parameters:

  e | MouseEventArgs object. All fields are valid.

Reimplemented from CEGUI::ButtonBase.

virtual void CEGUI::TabButton::onMouseMove | ( | MouseEventArgs & | e | ) | `[protected, virtual]`

Handler called when the mouse cursor has been moved within this window's area.

Parameters:

  e | MouseEventArgs object. All fields are valid.

Reimplemented from CEGUI::ButtonBase.

virtual void CEGUI::TabButton::onMouseWheel | ( | MouseEventArgs & | e | ) | `[protected, virtual]`

Handler called when the mouse wheel (z-axis) position changes within this window's area.

Parameters:

  e | MouseEventArgs object. All fields are valid.

Reimplemented from CEGUI::Window.

virtual bool CEGUI::TabButton::testClassName_impl | ( | const String & | class_name | ) | const`[inline, protected, virtual]`

Return whether this window was inherited from the given class name at some point in the inheritance hierarchy.

Parameters:

  class_name | The class name that is to be checked.

Returns:
  true if this window was inherited from class_name. false if not.

Reimplemented from CEGUI::ButtonBase.

References CEGUI::ButtonBase::testClassName_impl().

## Member Data Documentation

const String CEGUI::TabButton::EventClicked`[static]`

Event fired when the button is clicked. Handlers are passed a const WindowEventArgs reference with WindowEventArgs::window set to the TabButton that was clicked.

const String CEGUI::TabButton::EventDragged`[static]`

Event fired when use user attempts to drag the button with middle mouse button. Handlers are passed a const MouseEventArgs reference with all fields valid.

const String CEGUI::TabButton::EventScrolled`[static]`

Event fired when the scroll wheel is used on top of the button. Handlers are passed a const MouseEventArgs reference with all fields valid.